roller-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Johnson (JIRA)" <j...@apache.org>
Subject [jira] Updated: (ROL-1894) Roller 5 will not run on JBoss AS 6
Date Thu, 25 Nov 2010 03:20:15 GMT

     [ https://issues.apache.org/jira/browse/ROL-1894?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Johnson updated ROL-1894:
-------------------------------

    Description: 
Roller 5 uses JPA 2.0 for persistence and is therefore a Java EE 6 web application, but for
a variety of reasons, Roller 5 will not run on JBoss AS 6, which is a Java EE 6 compliant
app server. 

We should make it possible for Roller to run on JBoss AS 6 but without making it more difficult
to install and run on Tomcat. As we discussed on the Roller mailing list ( http://s.apache.org/roller5javaee
), this may involve creating two releases of Roller: one that targets Tomcat and one that
targets Java EE 6 application servers.

  was:
Roller 5 uses JPA 2.0 for persistence and is therefore a Java EE 6 web application, but for
a variety of reasons, Roller 5 will not run on JBoss AS 6, which is a Java EE 6 compliant
app server. 

We should make it possible for Roller to run on JBoss AS 6 but without making it more difficult
to install and run on Tomcat. As we discussed on the Roller mailing list (http://s.apache.org/roller5javaee),
this may involve creating two releases of Roller: one that targets Tomcat and one that targets
Java EE 6 application servers.


> Roller 5 will not run on JBoss AS 6
> -----------------------------------
>
>                 Key: ROL-1894
>                 URL: https://issues.apache.org/jira/browse/ROL-1894
>             Project: Roller
>          Issue Type: Bug
>          Components: Build Process
>            Reporter: David Johnson
>            Assignee: David Johnson
>             Fix For: 5.0
>
>
> Roller 5 uses JPA 2.0 for persistence and is therefore a Java EE 6 web application, but
for a variety of reasons, Roller 5 will not run on JBoss AS 6, which is a Java EE 6 compliant
app server. 
> We should make it possible for Roller to run on JBoss AS 6 but without making it more
difficult to install and run on Tomcat. As we discussed on the Roller mailing list ( http://s.apache.org/roller5javaee
), this may involve creating two releases of Roller: one that targets Tomcat and one that
targets Java EE 6 application servers.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message